BLOCK_INVALIDATEPA(9)

NAME
block_invalidatepage - invalidate part of all of a buffer-backed page

SYNOPSIS

int block_invalidatepage (struct page * page, unsigned long offset);

ARGUMENTS

page
    the page which is affected

offset
    the index of the truncation point

DESCRIPTION

 block_invalidatepage is called when all or part of the page has become invalidatedby a truncate operation.

 block_invalidatepage does not have to release all buffers, but it must ensure that no dirty buffer is left outside offset and that no I/O is underway against any of the blocks which are outside the truncation point. Because the caller is about to free (and possibly reuse) those blocks on-disk.

DESCRIPTION

 block_invalidatepage is called when all or part of the page has become invalidatedby a truncate operation.

 block_invalidatepage does not have to release all buffers, but it must ensure that no dirty buffer is left outside offset and that no I/O is underway against any of the blocks which are outside the truncation point. Because the caller is about to free (and possibly reuse) those blocks on-disk.